/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLDirectoryElement_H___INT_
#define __GdomHTMLDirectoryElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLDirectoryElement.h"
G_BEGIN_DECLS
class GDOMHTMLDirectoryElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_DIRECTORY_ELEMENT; }
    GDOMHTMLDirectoryElement(PassRefPtr<WebCore::HTMLDirectoryElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLDirectoryElement_H___INT_*/
